local L = LibStub("AceLocale-3.0"):NewLocale("Battleground", "deDE")
if not L then return end

-- Generic
L["The Horde"] = "Die Horde"
L["The Alliance"] = "Die Allianz"

L["has begun!"] = "hat begonnen!"
L["begins!"] = "beginnt!" --ckeck
L["2 minute"] = "2 Minuten"
L["1 minute"] = "1 Minute"
L["One minute until"] = "Eine Minute bis" --ckeck
L["60 seconds"] = "60 Sekunden" --ckeck
L["30 seconds"] = "30 Sekunden"
L["15 seconds"] = "15 Sekunden" --ckeck
L["Forty five seconds"] = "Fünfundvierzig Sekunden" --ckeck
L["Thirty seconds until"] = "Dreißig Sekunden bis" --ckeck
L["Fifteen seconds until"] = "Fünfzehn Sekunden bis" --ckeck

-- Options
L["Battleground"] = "Battleground"
L["You can select where you want messages displayed using the options below."] = "Hier kannst du auswählen, wo du die Nachrichten angezeigt bekommen willst, indem du die Optionen unten benutzt."
L["Message Output"] = "Nachrichtenausgabe"


-- Alterac Valley
L["Iceblood Tower"] = "Eisblutturm"
L["Iceblood Graveyard"] = "Eisblutfriedhof"
L["Tower Point"] = "Turmstellung"
L["Frostwolf Graveyard"] = "Friedhof der Frostwölfe"
L["East Frostwolf Tower"] = "Östlicher Frostwolfturm"
L["West Frostwolf Tower"] = "Westlicher Frostwolfturm"
L["Frostwolf Relief Hut"] = "Heilerhütte der Frostwölfe"
L["Coldtooth Mine"] = "Eisbeißermine"
L["Stonehearth Bunker"] = "Steinbruchbunker"
L["Stonehearth Graveyard"] = "Steinbruchfriedhof"
L["Icewing Bunker"] = "Eisschwingenbunker"
L["Stormpike Graveyard"] = "Friedhof der Sturmlanzen"
L["Dun Baldar North Bunker"] = "Nordbunker von Dun Baldar"
L["Dun Baldar South Bunker"] = "Südbunker von Dun Baldar"
L["Stormpike Aid Station"] = "Lazarett der Sturmlanzen"
L["Irondeep Mine"] = "Eisenschachtmine"
L["Snowfall Graveyard"] = "Schneewehenfriedhof"

L["Battleground Start"] = "Schlachtfeld beginnt"
L["Battleground Elapsed"] = "Schlachtfeld dauert"

L["%s has engaged %s."] = "%s hat %s angegriffen."
L["%s has reset %s."] = "%s hat %s zurückgesetzt."
L["%s has defeated %s."] = "%s hat %s besiegt."

L["Captain Balinda Stonehearth"] = "Hauptmann Balinda Steinbruch"
L["Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"] = "Verschwinde, dreckiger Abschaum! Die Allianz wird im Alteractal siegen!"
L["Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"] = "Dreckige feige Frostwölfe! Wenn ihr einen Kampf wollt, müsst ihr schon zu mir kommen!"

L["Captain Galvangar"] = "Hauptmann Galvangar"
L["Die!  Your kind has no place in Alterac Valley!"] = "Sterbt! Für Eure Art ist kein Platz im Alteractal!"
L["I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair."] = "Darauf falle ich nicht rein, Dummkopf! Wenn Ihr einen Kampf wünscht, wird er nach meinen Bedingungen und in meinem Unterschlupf erfolgen!" --check

L["Vanndar Stormpike"] = "Vanndar Sturmlanze"
L["Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."] = "Soldaten des Sturmlanzenklans, euer General wird angegriffen! Ich fordere Unterstützung! Kommt! Kommt! Löscht diese räudigen Hunde der Frostwölfe aus."
L["You'll never get me out of me bunker, heathens!"] = "Ihr werdet mich niemals aus meinem Bunker vertreiben, Ihr Ungläubigen!"

L["Drek'Thar"] = "Drek'Thar"
L["Stormpike filth! In my keep?! Slay them all!"] = "Sturmlanzenabschaum! In meiner Burg?! Tötet sie alle!"
L["You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"] = "Ihr versucht, den General der Frostwolfarmee aus seiner Burg zu locken? WIE LÄCHERLICH!"

L["Herald"] = "Herold"
L["The Frostwolf General is dead!"] = "Der General der Frostwölfe ist tot!"
L["The Stormpike General is dead!"] = "Der General der Allianz ist tot!"

-- Arathi Basin

L["Farm"] = "Hof"
L["Stables"] = "Ställe"
L["Blacksmith"] = "Schmiede"
L["Gold Mine"] = "Goldmine"
L["Lumber Mill"] = "Sägewerk"
-- lowercase for chat parsing, apparantly it's different for em all in russian so adding them here
L["mine"] = "die Goldmine"
L["lumber mill"] = "das Sägewerk"
L["blacksmith"] = "die Schmiede"
L["farm"] = "den Hof"
L["stables"] = "die Ställe"

L["Bases: ([0-9]+)  Resources: ([0-9]+)/([0-9]+)"] = "Basen: ([0-9]+)  Ressourcen: ([0-9]+)/([0-9]+)"

L["(.+) claims the ([^!]+)"] = "(.+) hat ([^!]+) eingenommen"
L["(.+) has assaulted the ([^!]+)"] = "(.+) hat ([^!]+) angegriffen"
L["has taken the ([^!]+)"] = "hat ([^!]+) eingenommen"
L["has defended the ([^!]+)"] = "hat ([^!]+) verteidigt"

-- generic for arathi and eots
L["Bases to win: %d"] = "Basen zum Sieg: %d"
L["Final Score: %d/%d"] = "Endstand: %d/%d"


-- Eye of the Storm

L["Bases: ([0-9]+)  Victory Points: ([0-9]+)/([0-9]+)"] = "Basen: ([0-9]+)  Siegpunkte: ([0-9]+)/([0-9]+)"
L["Mage Tower"] = "Magierturm"
L["Draenei Ruins"] = "Draeneiruinen"
L["Fel Reaver Ruins"] = "Teufelshäscherruinen"
L["Blood Elf Tower"] = "Blutelfenturm"

-- Isle of Conquest

L["Docks"] = "Docks"
L["Hangar"] = "Hangar"
L["Quarry"] = "Steinbruch"
L["Refinery"] = "Raffinerie"
L["Workshop"] = "Werkstatt"
L["Horde Keep"] = "Hordenfestung"
L["Alliance Keep"] = "Allianzfestung"
L["Siege Engine"] = "Belagerungsmaschine"

L["oil refinery"] = "die Raffinerie" -- exception for chat parsing
L["workshop"] = "die Werkstatt"
L["docks"] = "die Docks"
L["hangar"] = "den Hangar"
L["quarry"] = "den Steinbruch"
L["refinery"] = "die Raffinerie"
L["horde keep"] = "die Hordenfestung"
L["alliance keep"] = "die Allianzfestung"

L["Gnomish Mechanic"] = "Gnomenmechaniker"
L["See those seaforium bombs? Use them on the gates while I repair the siege engine!"] = "Seht Ihr diese Zephyriumbomben? Benutzt sie an den Toren, während ich die Belagerungsmaschine repariere!"
L["I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"] = "Ich hab's gleich! Haltet die Horde von hier fern. Kämpfen stand in der Ingenieursschule nicht auf dem Lehrplan!"
L["My finest work so far! This siege engine is ready for action!"] = "Meine beste Arbeit bisher! Diese Belagerungsmaschine ist bereit, ein bisschen Aktion zu sehen!"

L["Goblin Mechanic"] = "Goblinmechaniker"
L["I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"] = "Ich arbeite an der Belagerungsmaschine. Haltet mir einfach nur den Rücken frei. Benutzt diese Zephyriumbomben an den Toren, solltet Ihr sie brauchen!"
L["I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"] = "Ich hab's gleich! Haltet mir die Allianz vom Leib. Kämpfen steht nicht in meinem Vertrag!"
L["The siege engine is ready to roll!"] = "Die Belagerungsmaschine ist bereit, loszurollen!"

L["High Commander Halford Wyrmbane"] = "Hochkommandant Halford Wyrmbann"
L["Overlord Agmar"] = "Oberanführer Agmar"
L["The gates have been breached! Defend the keep!"] = "Die Tore wurden durchbrochen! Verteidigt die Festung!"
L["%s has breached %s Keep!"] = "%s hat die Festung der %s durchbrochen!"

L["%s has finished a siege engine."] = "%s hat eine Belagerungsmaschine fertiggestellt."
L["%s has started building a siege engine."] = true
L["%s is halfway building a siege engine."] = true

L["Horde Gate"] = "Hordentor"
L["Alliance Gate"] = "Allianztor"
L["Front Gate"] = "Vorderes Tor"
L["West Gate"] = "Westliches Tor"
L["East Gate"] = "Östliches Tor"
