local L = LibStub("AceLocale-3.0"):NewLocale("Battleground", "ruRU")
if not L then return end

-- Generic
L["The Horde"] = "Орда"
L["The Alliance"] = "Альянс"

L["has begun!"] = "началась!"
L["begins!"] = "началась!" -- нужно проверить
L["2 minute"] = "2 минуты"
L["1 minute"] = "минуту"
L["One minute until"] = "одна минута"
L["60 seconds"] = "60 секунд"
L["30 seconds"] = "30 секунд"
L["15 seconds"] = "15 секунд"
L["Forty five seconds"] = "сорок пять секунд"
L["Thirty seconds until"] = "тридцать секунд"
L["Fifteen seconds until"] = "пятнадцать секунд"

-- Options
L["Battleground"] = "Battleground"
L["You can select where you want messages displayed using the options below."] = "Используя опции ниже, вы можете выбрать куда выводить сообщения."
L["Message Output"] = "Вывод сообщений"


-- Alterac Valley
L["Iceblood Tower"] = "Башня Стылой Крови"
L["Iceblood Graveyard"] = "Кладбище Стылой Крови"
L["Tower Point"] = "Смотровая башня"
L["Frostwolf Graveyard"] = "Кладбище Северного Волка"
L["East Frostwolf Tower"] = "Восточная башня Северного Волка"
L["West Frostwolf Tower"] = "Западная башня Северного Волка"
L["Frostwolf Relief Hut"] = "Приют Северного Волка"
L["Coldtooth Mine"] = "Рудник Ледяного Зуба"
L["Stonehearth Bunker"] = "Укрытие Каменного Очага"
L["Stonehearth Graveyard"] = "Кладбище Каменного Очага"
L["Icewing Bunker"] = "Укрытие Ледяного Крыла"
L["Stormpike Graveyard"] = "Кладбище Грозовой Вершины"
L["Dun Baldar North Bunker"] = "Северный оплот Дун Болдара"
L["Dun Baldar South Bunker"] = "Южный Оплот Дун Болдара"
L["Stormpike Aid Station"] = "Лазарет Грозовой Вершины"
L["Irondeep Mine"] = "Железный рудник"
L["Snowfall Graveyard"] = "Кладбище Снегопада"

L["Battleground Start"] = "До начало битвы"
L["Battleground Elapsed"] = "Продолжительность боя"

L["%s has engaged %s."] = "%s has engaged %s."
L["%s has reset %s."] = "%s has reset %s."
L["%s has defeated %s."] = "%s has defeated %s."

L["Captain Balinda Stonehearth"] = "Капитан Балинда Каменный Очаг"
L["Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"] = "Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"
L["Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"] = "Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"

L["Captain Galvangar"] = "Капитан Гальвангар"
L["Die!  Your kind has no place in Alterac Valley!"] = "Die!  Your kind has no place in Alterac Valley!"
L["I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair!"] = "I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair!"

L["Vanndar Stormpike"] = "Вандар Грозовая Вершина"
L["Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."] = "Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."
L["You'll never get me out of me bunker, heathens!"] = "You'll never get me out of me bunker, heathens!"

L["Drek'Thar"] = "Дрек'Тар"
L["Stormpike filth! In my keep?! Slay them all!"] = "Stormpike filth! In my keep?! Slay them all!"
L["You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"] = "You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"

L["Herald"] = "Глашатай"
L["The Frostwolf General is dead!"] = "The Frostwolf General is dead!"
L["The Stormpike General is dead!"] = "The Stormpike General is dead!"

-- Arathi Basin

L["Farm"] = "Ферма"
L["Stables"] = "Стойла"
L["Blacksmith"] = "Кузница"
L["Gold Mine"] = "Золотой рудник"
L["Lumber Mill"] = "Лесопилка"
-- lowercase for chat parsing, apparantly it's different for em all in russian so aadding them here
L["mine"] = "рудник"
L["lumber mill"] = "лесопилку"
L["blacksmith"] = "кузницу"
L["farm"] = "ферму"
L["stables"] = "стойла"

L["Bases: ([0-9]+)  Resources: ([0-9]+)/([0-9]+)"] = "Базы: ([0-9]+) Ресурсы: ([0-9]+)/([0-9]+)"

L["(.+) claims the ([^!]+)"] = "(.+) объявляет ([^!]+)"
L["(.+) has assaulted the ([^!]+)"] = "(.+) штурмует ([^!]+)"
L["has taken the ([^!]+)"] = "захватил ([^!]+)" -- Орда захватила
L["has defended the ([^!]+)"] = "отстоял ([^!]+)"

-- generic for arathi and eots
L["Bases to win: %d"] = "Баз для победы: %d"
L["Final Score: %d/%d"] = "Финальный счет: %d/%d"


-- Eye of the Storm

L["Bases: ([0-9]+)  Victory Points: ([0-9]+)/([0-9]+)"] = "Базы: ([0-9]+)  Очки победы: ([0-9]+)/([0-9]+)"
L["Mage Tower"] = "Башня Магов"
L["Draenei Ruins"] = "Дренейские руины"
L["Fel Reaver Ruins"] = "Обломки Сквернобота"
L["Blood Elf Tower"] = "Башня Эльфов Крови"

-- Isle of Conquest

L["Docks"] = "Причал"
L["Hangar"] = "Ангар"
L["Quarry"] = "Каменоломня"
L["Refinery"] = "Нефтезавод"
L["Workshop"] = "Мастерская"
L["Horde Keep"] = "Крепость Орды"
L["Alliance Keep"] = "Крепость Альянса"
L["Siege Engine"] = "Осадная машина"

L["oil refinery"] = "нефтезавод" -- exception for chat parsing
L["workshop"] = "мастерскую" -- need check
L["docks"] = "причал" -- need check
L["hangar"] = "ангар" -- need check
L["quarry"] = "каменоломню" -- need check
L["refinery"] = "нефтезавод" -- need check
L["horde keep"] = "крепость Орды" -- need check
L["alliance keep"] = "крепость Альянса" -- need check

L["Gnomish Mechanic"] = "Гном-механик"
L["See those seaforium bombs? Use them on the gates while I repair the siege engine!"] = "See those seaforium bombs? Use them on the gates while I repair the siege engine!"
L["I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"] = "I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"
L["My finest work so far! This siege engine is ready for action!"] = "My finest work so far! This siege engine is ready for action!"

L["Goblin Mechanic"] = "Гоблин-механик"
L["I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"] = "I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"
L["I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"] = "I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"
L["The siege engine is ready to roll!"] = "The siege engine is ready to roll!"

L["High Commander Halford Wyrmbane"] = "Главнокомандующий Халфорд Змеевержец"
L["Overlord Agmar"] = "Командир Агмар"
L["The gates have been breached! Defend the keep!"] = "Врата проломлены! Защищайте крепость!"
L["%s has breached %s Keep!"] = "%s has breached %s Keep!"

L["%s has finished a siege engine."] = "The %s has finished a siege engine."
L["%s has started building a siege engine."] = "The %s has started building a siege engine."
L["%s is halfway building a siege engine."] = "The %s is halfway building a siege engine."

L["Horde Gate"] = "Врата крепости Орды"
L["Alliance Gate"] = "Врата крепости Альянса"
L["Front Gate"] = "Главные врата"
L["West Gate"] = "Западные врата"
L["East Gate"] = "Восточные врата"
